function longming_choose()
	
	local m=flag.GetValue(42027)
	local n=flag.GetValue(42004) --ΆΣΞιΕδ½ΗΘΛΚύ
	
		if m==1 then
			if n<4 then
				flag.SetValue(42004,n+1)
				npc.Destroy(807)
				player.Add(64,0,1)
				ui.Message(170797)
			else
				ui.Message(90069)
				npc.TurnTo(807,0,1,1)
				flag.SetValue(42027,0)
			end	
		else
			npc.TurnTo(807,0,1,1)
		end
	
	player.Control(1)
end